[Service]
SyslogIdentifier=jenkins
UMask=0002
LimitNOFILE=8192
Restart=no
EnvironmentFile=/srv/deployment/releng/jenkins-deploy/jenkins_env
Environment=SECRETS=/etc/jenkins/secrets/{{ secrets_relative_dir }}

# Empty statement to prevent multiple ExecStart from being defined.
ExecStart=
ExecStart=/usr/bin/java \
    -Djava.awt.headless=true \
    -Dhudson.plugins.git.GitSCM.verbose=true \
{%- if keep_undefined_parameters == true %}
{#-
# Prevents Jenkins 1.651.2+ from stripping parameters injected by the Gearman
# plugin.
#
# References:
#   https://phabricator.wikimedia.org/T133737
#   https://jenkins.io/blog/2016/05/11/security-update/
#   https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2016-05-11
#}
    -Dhudson.model.ParametersAction.keepUndefinedParameters=true \
{%- endif %}
    -Djava.util.logging.config.file=/srv/deployment/releng/jenkins-deploy/conf/logging.properties \
    -Dhudson.udp=-1 \
    -Dhudson.DNSMultiCast.disabled=true \
    -Djenkins.model.Jenkins.buildsDir={{ builds_dir }} \
    -Djenkins.model.Jenkins.workspacesDir={{ workspaces_dir }} \
    -Dcasc.jenkins.config={{ casc_config_dir }} \
    -Djenkins.install.runSetupWizard=false \
    "-Dhudson.model.DirectoryBrowserSupport.CSP=sandbox; default-src 'none'; img-src 'self'; style-src 'self' 'unsafe-inline'; media-src 'self'" \
    -jar /usr/share/java/jenkins.war \
    --accessLoggerClassName=winstone.accesslog.SimpleAccessLogger \
    --simpleAccessLogger.format=combined \
    --simpleAccessLogger.file=/var/log/jenkins/access.log \
    --webroot=/var/cache/jenkins/war \
    --pluginroot=/var/cache/jenkins/plugins \
    --httpPort=8080 \
    --prefix={{ url_path_prefix }}
